Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047179
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2021-06-17 20:142021-07-07 07:38
ReporterlbressanView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047179: Incorrect promotion amount calculated

Description1. We have 2 price adjustment promotions applicable for a product.
2. If you buy 200 get 800 as off. Next if you buy 400 you get 2000 off.
3. Now when we bill 200 qty, the buy 200 get 800 as off is getting applied,
4. When we bill 399 qty that time 2x of buy 200 get 800 as off is getting applied
5. but when 400 is billed then buy 400 you get 2000 off gets applied.
Issue is with point 4. Why is 2x of the promotion applied when qty is only 399. It should still deduct 800 from bill value,
Steps To Reproduce1. We have 2 price adjustment promotions applicable for a product.
2. If you buy 200 get 800 as off. Next if you buy 400 you get 2000 off.
3. Now when we bill 200 qty, the buy 200 get 800 as off is getting applied,
4. When we bill 399 qty that time 2x of buy 200 get 800 as off is getting applied
5. but when 400 is billed then buy 400 you get 2000 off gets applied.
Issue is with point 4. Why is 2x of the promotion applied when qty is only 399. It should still deduct 800 from bill value.

Attached video.
TagsNo tags attached.
Attached Files? file icon screen-recording-15-06-2021-12-25-15-1_TpFanSjO.avi [^] (1,806,122 bytes) 2021-06-17 20:17
? file icon Screen Recording (15-06-2021 12-25-15) (1) - converted with Clipchamp.mp4 [^] (3,662,435 bytes) 2021-06-17 20:24

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0129804)
hgbot (developer)
2021-06-26 15:03

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/28 [^]
(0130136)
lbressan (developer)
2021-07-05 15:10

any update?
(0130185)
hgbot (developer)
2021-07-06 15:21

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/28 [^]
(0130207)
hgbot (developer)
2021-07-07 05:33

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/30 [^]
(0130209)
hgbot (developer)
2021-07-07 07:38

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts [^]
Changeset: 05b5786d0a55da4942be60538df55a0a74f095f8
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-07-06T14:11:04-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/commit/05b5786d0a55da4942be60538df55a0a74f095f8 [^]

Fixed BUG-47179: Added rounding mode to calculate totalChunk of discount

---
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/engine/rules/price-adjustment-discount.js
---
(0130210)
hgbot (developer)
2021-07-07 07:38

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/30 [^]

- Issue History
Date Modified Username Field Change
2021-06-17 20:14 lbressan New Issue
2021-06-17 20:14 lbressan Assigned To => Retail
2021-06-17 20:14 lbressan Triggers an Emergency Pack => No
2021-06-17 20:17 lbressan File Added: screen-recording-15-06-2021-12-25-15-1_TpFanSjO.avi
2021-06-17 20:24 lbressan File Added: Screen Recording (15-06-2021 12-25-15) (1) - converted with Clipchamp.mp4
2021-06-22 17:28 rqueralta Assigned To Retail => rqueralta
2021-06-22 17:29 rqueralta Status new => scheduled
2021-06-26 15:03 hgbot Note Added: 0129804
2021-07-05 15:10 lbressan Note Added: 0130136
2021-07-06 15:21 hgbot Note Added: 0130185
2021-07-07 05:33 hgbot Note Added: 0130207
2021-07-07 07:38 hgbot Resolution open => fixed
2021-07-07 07:38 hgbot Status scheduled => closed
2021-07-07 07:38 hgbot Fixed in Version => RR21Q4
2021-07-07 07:38 hgbot Note Added: 0130209
2021-07-07 07:38 hgbot Note Added: 0130210


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker